/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    CRETOPIA
*/



/*
START HEADER STYLE
*/

/* home page header */
.cr-mainheaderr.elementor-sticky--effects {
    /* background: rgb(255 255 255 / 21%); */
    background: rgb(56 105 155 / 80%);
}
/*
END HEADER STYLE
*/



/*
START HOMEPAGE STYLE
*/
.cr-slides .elementor-slide-description {
    max-width: 420px !important;
}
.cr-slides .swiper-slide-inner {
    max-width: 1400px !important;
}

/* cars grid */
.cr-home-carslist div#car_136,
.cr-home-carslist div#car_352,
.cr-home-carslist .car-excerpt,
.cr-home-carslist .car-specs {
        display: none;
}
.cr-home-carslist > .elementor-widget-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-column-gap: 15px;
}
.cr-home-carslist .car-container {
    padding: 50px 20px 50px 50px;
    max-width: 330px;
    width: 100%;
    margin: 0 auto !important;
    border: 1px solid #38699b;
    border-radius: 50px;
}
.cr-home-carslist .car-inner {
    flex-direction: column;
    border: none !important;
}
.cr-home-carslist .car-image {
    margin: -20px 0 0 -80px;
    width: 300px;
}
.cr-home-carslist .car-inner .car-title-bar h2 {
    min-height: 100px;
    max-width: 70%;
}
.cr-home-carslist .car-info {
    padding: 0;
}
.cr-home-carslist h3.light-blue {
    font-size: 16px;
    line-height: 22px;
    font-weight: 400;
    font-family: 'Averta', sans-serif;
}
.cr-home-carslist .car-footer {
    align-items: center;
}
.car-footer > div {
    display: flex;
    flex-direction: column;
    justify-content: center;
/*    align-items: center;*/
    font-size: 20px;
    line-height: 24px;
    font-weight: 400;
    font-family: 'Averta', sans-serif;
    color: #38699b !important;
}
.more-btn {
    display: flex;
    align-items: center;
    height: 50px;
    cursor: pointer;
    position: relative;
    z-index: 1;
}
.more-btn::before {
    content: '';
    width: 50px;
    height: 50px;
    position: absolute;
    right: 50%;
    border: 1px solid var(--e-global-color-fceab02);
    border-radius: 50%;
    transition-duration: .3s;
    z-index: -1;
}
.more-btn::after {
    content: '';
    width: 30px;
    height: 24px;
    background-image: url('data:image/svg+xml,<%3Fxml version="1.0" encoding="UTF-8"%3F><svg id="Layer_2" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 9.94 24.02"><g id="Layer_1-2"><polygon points=".8 24.02 0 23.42 8.68 11.76 0 .61 .8 0 9.94 11.75 .8 24.02" style="fill:%237aa0aa;"/></g></svg>');
    background-repeat: no-repeat;
    margin-left: 20px;
}
.more-btn:hover::before {
    right: 0;
}

@media screen and (max-width: 1239px) {
    .cr-home-carslist > .elementor-widget-container {
        display: flex;
        flex-direction: row;
        grid-column-gap: 35px;
        grid-row-gap: 35px;
        flex-wrap: wrap;
        margin: 0 auto !important;
    }
    .cr-home-carslist > .elementor-widget-container div#car_136 {
        display: block;
    }
}
@media screen and (min-width:992px) and (max-width: 1239px) {
    .cr-home-carslist > .elementor-widget-container {
        max-width: 70vw;
    }
}
@media screen and (min-width: 570px) and (max-width: 991px) {
    .cr-slides .elementor-slide-heading {
        font-size: 50px !important;
        line-height: 54px !important;
    }
}
@media screen and (max-width: 569px) {
    .elementor-slide-heading {
        font-size: 35px !important;
        line-height: 35px !important;
    }
}
/*
END HOMEPAGE STYLE
*/



/*
START CARS ARCHIVE STYLE
*/
.car-container {
    width: 100%;
    padding: 50px 80px 0 80px;
    margin-bottom: 50px;
}
.car-inner {
    width: 100%;
    border: 1px solid var(--e-global-color-fceab02);
    border-radius: 50px;
    display: flex;
    flex-direction: row;
}
.car-image {
    width: 100%;
    max-width: 450px;
    height: auto;
    margin-top: -50px;
    margin-left: -80px; 
}
.car-image img {
    width: 100%;
}
.car-info {
    padding: 30px;
}
.car-title-bar {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    margin-bottom: 30px;
}
.car-specs {
    display: flex;
    flex-direction: row;
    align-items: center;
    flex-wrap: wrap;
}
.car-specs > div {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 8px;
}
.car-specs img {
    width: 24px;
    margin-right: 8px;
}
.car-specs span {
    margin-right: 24px;
    font-weight: 900;
}
.car-excerpt {
    max-width: 750px;
}
.car-footer {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
}
.car-from {
    color: var(--e-global-color-fceab02);
}
.more-btn-text {
    color: var(--e-global-color-fceab02);
    z-index: 10;
}
@media (max-width: 1400px) {
    .car-inner {
        flex-direction: column;
    }
}
@media (max-width: 991px) {
    .car-image {
        margin-left: -20px;
    }
    .car-title-bar {
        flex-direction: column;
    }
    .car-specs {
        margin-top: 20px;
    }
    .car-container {
        padding: 50px 0 0;
    }
}

/* CSS for toggles at the bottom of car rental page */
.oxy-toggle {
    flex-direction: row-reverse;
    padding: 20px;
    border-bottom: 2px solid var(--e-global-color-fceab02);
}
.oxy-expand-collapse-icon {
    padding: 20px;
    border: 2px solid var(--e-global-color-fceab02);
    border-radius: 50%;
}
.oxy-expand-collapse-icon::before,
.oxy-expand-collapse-icon::after {
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
}
.car-footer div.h2 {
    font-family: 'Syne';
    font-size: 30px !important;
    line-height: 34px;
}
/*
END CARS ARCHIVE STYLE
*/



/*
START BOAT RENT PAGE STYLE
*/
.cr-boat-block h3.boat-light-blue,
.car-title-bar h3.light-blue {
    font-size: 18px;
    line-height: 22px;
    color: #38699b;
    font-weight: 700;
    margin: 0;
}
.cr-boat-block .car-excerpt p {
   color: #38699b;
}
/*
END BOAT RENT PAGE STYLE
*/



/*
START TERMS & CONDITIONS PAGE STYLE
*/
.ct-text-block {
    max-width: unset !important;
}
.cr-terms-new-txt * {
    font-family: 'Averta', sans-serif !important;
}
.cr-terms-new-txt ul {
    list-style: none;
    padding: 0;
}
.cr-terms-new-txt h2 {
    font-size: 26px !important;
    line-height: 30px !important;
    margin-top: 10px !important;
    margin-bottom: 0 !important;
}
.cr-terms-new-txt h4 {
    font-size: 20px !important;
    line-height: 24px !important;
    margin: 15px 0 5px !important;
}
.cr-terms-new-txt h2,
.cr-terms-new-txt h4 {
    color: #38699b;
}

@media screen and (max-width: 767px) {
    .cr-terms-new-txt h2 {
        font-size: 23px !important;
        line-height: 27px !important;
        margin-top: 20px !important;
        margin-bottom: 0 !important;
    }
}
/*
END TERMS & CONDITIONS PAGE STYLE
*/



/*
SPECIAL OFFERS PAGE STYLE
*/
#div_block-131-17, #div_block-135-17, #div_block-136-17 {
    position: absolute;
    top: 0px;
}
.best-seler {
    position: absolute;
    top: 30px;
    left: 30px;
    display: flex;
    flex-direction: row;
    gap: 20px;
    color: #fff;
}
.best-seler div {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 90px;
    height: 90px;
    text-transform: uppercase;
    color: #fff;
    background-color: #f00064;
    border-radius: 50%;
}
/*
END OFFERS PAGE STYLE
*/



/*
START CONTACT PAGE STYLE
*/
.cr-contact-infoblock p, .cr-contact-infoblock a {
    color: #38699B !important;
}
.cr-conform-new  {
    width: 100%;
    max-width: 900px;
    border: 1px solid var(--e-global-color-5202ba5);
    border-radius: 50px;
    padding: 30px;
}
.cr-conform-new .form-input {
    width: 100%;
    border-bottom: 1px solid var(--e-global-color-5202ba5);
    padding: 8px 20px 16px 0px;
}
.cr-conform-new .form-input p {
    margin: 0;
}
.cr-conform-new .wpcf7-form-control-wrap {
    position: relative;
}
.cr-conform-new .form-input input, .cr-conform-new .form-input textarea {
    width: 100%;
    border: none;
    outline: none;
    color: var(--e-global-color-fceab02);
}
.cr-conform-new .submit-div {
    text-align: right;
}
.cr-conform-new .wpcf7-submit {
    font-size: 1.2rem;
    line-height: 1.6;
    color: var(--e-global-color-fceab02);
    background-color: transparent;
    text-align: center;
    text-transform: uppercase;
    padding-bottom: 16px;
    margin-top: 8px;
    margin-bottom: 5px;
    cursor: pointer;
    border: none;
    border-bottom: 1px solid var(--e-global-color-5202ba5);
    transition-duration: .3s;
}
.cr-conform-new .wpcf7-submit:hover {
    padding-bottom: 5px;
    margin-bottom: 16px;
    background-color: transparent !important;
    color: var(--e-global-color-fceab02);
}
.cr-conform-new .form-input input::placeholder, .cr-conform-new .form-input textarea::placeholder {
    color: var(--e-global-color-fceab02);
}
/*
END CONTACT PAGE STYLE
*/



/*
START FOOTER STYLE
*/
.footer-contactinfo * {
    color: #fff !important;
}
.footer-par {
    margin: 0;
}
.footer-par p, .footer-par a {
    font-size: 16px;
    line-height: 22px;
}
.footer-par a:hover {
    color: #7aa0aa !important;
}
.cr-mainfooter {
    background: linear-gradient(90deg, #396a9b, #7aa0aa) !important;
    position: relative;
}
.cr-mainfooter::after {
    content: '' !important;
    background: url('../../uploads/2023/06/circles_dark.webp');
    position: absolute !important;
    display: block !important;
    width: 392px !important;
    height: 477px !important;
    left: auto !important;
    right: 0 !important;
    top: auto !important;
    bottom: 0 !important;
    z-index: 90 !important;
    background-size: cover !important;
    background-repeat: no-repeat !important;
}

@media screen and (max-width: 1439px) {
    .cr-sectionpadding {
        padding: 0 5vw !important;
    }
}
/*
END FOOTER STYLE
*/